:root{ /*custom properties*/
  --fuenteHeading:'PT Sans', sans-serif;
  --fuenteParrafos: 'Open Sans', sans-serif;

  --primario: #784D3C;
  --gris: #e1e1e1;
  --blanco: #ffffff;
  --negro: #000000;
}
html{
  box-sizing: border-box; /*poner siempre*/
  font-size: 62.5%; /* 1rem = 10px poner siempre*/
}
*, *:before, *:after { /*poner siempre*/
  box-sizing: inherit;
}
body{
  font-family: var(--fuenteParrafos);
  font-size: 1.6rem;
  line-height: 2; /*interlineado*/
}

/*Globales*/
.contenedor{
  width: min(90%, 120rem);
  margin: 0 auto; /*centrar el contenido horizontalmente*/
}
a{
  text-decoration: none;/* quitar el subrayado a los enlaces*/
}
h1, h2, h3, h4{
  font-family: var(--fuenteHeading);
  line-height: 1.2;
}
h1{
  font-size: 4.8rem;
}
h2{
  font-size: 4rem;
}
h3{
  font-size: 3.2rem;
}
h4{
  font-size: 2.8rem;
}
img{
  max-width: 100%;
}

/*Utilidades*/
.noMargin{
  margin: 0; /*quitar el margen por defecto*/
}
.noPadding{
  padding: 0;
}
.centrarTexto{
  text-align: center;
}

/*Header*/
/* WEBP forma antigua
.webp .header{
  background-image: url(../img/banner.webp);
}
.no-webp .header{
  background-image: url(../img/banner.jpg);
}*/

.header{
  background-image: url(../img/banner.jpg);
  height: 60rem;
  background-size: cover;
  background-repeat: no-repeat;
  position: center center; /*adapta la imagen centrada diferentes tamaños*/
}
@supports (background-image: url(../img/banner.webp)){
  .header{
    /*si el navegador soporta webp, usa esta imagen*/
    background-image: url(../img/banner.webp);
  }
}
.header__texto{
  text-align: center;
  color: var(--blanco);
  margin-top: 5rem;
}
@media (min-width: 768px) {
    .header__texto{
      margin-top: 15rem; /*para centrar mas al medio el texto*/
    }
}

.barra{
  padding-top: 4rem;
}
@media (min-width: 768px) {
    .barra{
      display: flex;
      justify-content: space-between;/* JC para alinear horizontal y SB para colocarlos */
      align-items: center; /*alinear verticalmente*/
    }
}

.logo{
  color: var(--blanco);
}
.logo__nombre{
  font-weight: 400;
}
.logo__bold{
  font-weight: 700;
}

@media (min-width: 768px) {
    .navegacion{
      display: flex;
      gap: 2rem;
    }
}
.navegacion__enlace{
  display: block;
  text-align: center;
  font-size: 1.8rem;
  color: var(--blanco);
}

/*Contenido principal*/
@media (min-width: 768px) {
    .contPrincipal{
      display: grid;
      grid-template-columns: 2fr 1fr;
      column-gap: 4rem;
    }
}

.entrada{
  border-bottom: 1px solid var(--gris);
  margin-bottom: 2rem;
}
.entrada:last-of-type{
  border: none;
  margin-bottom: 0;
}

/*Boton*/
.boton{
  display: block;
  font-family: var(--fuenteHeading);
  color: var(--blanco);
  text-align: center;
  padding: 1rem 3rem;
  font-size: 1.8rem;
  text-transform: uppercase;
  font-weight: 700;
  margin-bottom: 2rem;
  border: none;
}
@media (min-width: 768px) {
    .boton{
      display: inline-block;
    }
}
.boton--primario{
  background-color: var(--negro);
}
.boton--secundario{
  background-color: var(--primario);
}
.boton:hover{
    cursor: pointer;
}

/*Aside Sidebar*/

.cursos{
  list-style: none;
}
.cursoWidget{
  border-bottom: 1px solid var(--gris);
  margin-bottom: 2rem;
}
.cursoWidget:last-of-type{
  border: none;
  margin-bottom: 0;
}
.cursoWidget__label,
.cursoWidget__info{
  font-size: 2rem;
}
.cursoWidget__label{
  font-family: var(--fuenteHeading);
  font-weight: bold;
}
.cursoWidget__info{
  font-weight: normal;
}

/*Footer*/
.footer{
  background-color: var(--negro);
  padding-bottom: 3rem;
  margin-top: 4rem;
}
/*-----------------ENLACES------------------------------------*/
/*-----------------Nosotros-----------------------------------*/
/*CON FLEX
@media (min-width: 768px) {
  .contenidoNos{
    display: flex;
    gap: 2rem;
  }
  .imgNos,
  .nosP{
    flex-basis: 50%;
  }
}*/
@media (min-width: 768px) {
    .contenidoNos{
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      column-gap: 2rem;
    }
}
/*---------------CURSOS----------------------------------------*/
@media (min-width: 768px) {
  .contCursos{
    display: grid;
    grid-template-columns:1fr 2fr;
    gap: 2rem;
  }
}
/*---------------CONTACTO-------------------------------------*/

.contactoImg{
  background-image: url(../img/contacto.jpg);
  height: 40rem;
  background-size: cover;
  background-repeat: no-repeat;
}
.formulario{
  background-color: var(--blanco);
  margin: -5rem auto 0 auto;
  width: 95%;
  padding: 5rem;
}
.campo{
  display: flex;
  margin-bottom: 2rem;
  gap: 2rem;
}
.campo__label{
  flex: 0 0 9rem;
  text-align: right;
  
}
.campo__field{
  flex: 1;
  border: 1px solid var(--gris);
}
.campo__field--textarea{
  height: 20rem;
}



